<?xml version="1.0"?>
<configuration>
    <configSections>
        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
            <section name="IEWService.My.MySettings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false"/>
        </sectionGroup>
    </configSections>
    <system.diagnostics>
        <sources>
            <!-- 這個區段定義 My.Application.Log 的記錄組態-->
            <source name="DefaultSource" switchName="DefaultSwitch">
                <listeners>
                    <add name="FileLog"/>
                    <!-- 取消註解下列區段，以寫入應用程式事件記錄檔-->
                    <!--<add name="EventLog"/>-->
                </listeners>
            </source>
        </sources>
        <switches>
            <add name="DefaultSwitch" value="Information"/>
        </switches>
        <sharedListeners>
            <add name="FileLog" type="Microsoft.VisualBasic.Logging.FileLogTraceListener, Microsoft.VisualBasic, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" initializeData="FileLogWriter"/>
            <!-- 取消註解下列區段，並將 APPLICATION_NAME 取代成您的應用程式名稱，以寫入至應用程式事件記錄檔-->
            <!--<add name="EventLog" type="System.Diagnostics.EventLogTraceListener" initializeData="APPLICATION_NAME"/> -->
        </sharedListeners>
    </system.diagnostics>
    <startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6.2"/></startup>
  <appSettings>
    <add key="DatabaseType" value="oracle"/>
    <add key="DatabaseOwner" value="MESSERIES"/>
    <add key="DatabasePassword" value="==wQ5hTP"/>
    <add key="ConnectionString" value="Provider=OraOleDB.Oracle;Data Source=MESDB;User ID=MESSERIES"/>
    <add key="ReportDatabaseType" value="oracle"/>
    <add key="ReportDatabaseOwner" value="MESSERIES"/>
    <add key="ReportDatabasePassword" value="==wQ5hTP"/>
    <add key="ReportConnectionString" value="Provider=OraOleDB.Oracle;Data Source=MESDB;User ID=MESSERIES"/>
    <!-- 允許同時執行預警事件數量 -->
    <add key="MaxRunningJobCount" value="5"/>
    <!--訊息平台Service URL-->
    <add key="MSG_SERVICE" value="http://localhost/MES_Production_MESws_MSG/InvokeJSON"/>
  </appSettings>
  <applicationSettings>
    <IEWService.My.MySettings>
      <setting name="MESIEW_wsMCloud_PushService" serializeAs="String">
        <value>http://10.20.88.57/MSFT2/PushService.asmx</value>
      </setting>
    </IEWService.My.MySettings>
  </applicationSettings>
</configuration>
